apiVersion: v1
kind: Secret
metadata:
  name: argocd-secret
  namespace: argocd
  labels:
    app.kubernetes.io/name: argocd-secret
    app.kubernetes.io/part-of: argocd
type: Opaque
data:
  username: Z2l0b3BzLXRva2Vu
  password: ZmR0aGtLdjNSdnlXenM5LXdTYVk=
---  
apiVersion: v1
kind: ConfigMap
metadata:
  name: argocd-cm
  namespace: argocd
  labels:
    app.kubernetes.io/name: argocd-cm
    app.kubernetes.io/part-of: argocd
data:
  repositories: |
    - url: https://git.deimos.co.za/praise/gitops.git
      passwordSecret:
        name: argocd-secret
        key: password
      usernameSecret:
        name: argocd-secret
        key: username